net.i2p.router.dummy

## Class DummyNetworkDatabaseSegmentor

- java.lang.Object
- - net.i2p.router.networkdb.kademlia.SegmentedNetworkDatabaseFacade
  - - net.i2p.router.dummy.DummyNetworkDatabaseSegmentor

-     public class DummyNetworkDatabaseSegmentor
      extends SegmentedNetworkDatabaseFacade

  Dummy network database segmentor for testing.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DummyNetworkDatabaseSegmentor(RouterContext ctx)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NetworkDatabaseFacade` | `clientNetDB(Hash id)` Get a client netDb for a given client Hash identifier.
    `NetworkDatabaseFacade` | `mainNetDB()` Get the main netDb, the one which is used if we're a floodfill
    `void` | `shutdown()` Shut down the network databases
    `void` | `startup()` Start up the network databases

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DummyNetworkDatabaseSegmentor

          public DummyNetworkDatabaseSegmentor(RouterContext ctx)

  - ### Method Detail

    - #### clientNetDB

          public NetworkDatabaseFacade clientNetDB(Hash id)

      Description copied from class: `SegmentedNetworkDatabaseFacade`
      Get a client netDb for a given client Hash identifier. Will never return the mainNetDB.
      Specified by:
        `clientNetDB` in class `SegmentedNetworkDatabaseFacade`
      Returns:
        may be null if the client netDb does not exist

    - #### mainNetDB

          public NetworkDatabaseFacade mainNetDB()

      Description copied from class: `SegmentedNetworkDatabaseFacade`
      Get the main netDb, the one which is used if we're a floodfill
      Specified by:
        `mainNetDB` in class `SegmentedNetworkDatabaseFacade`
      Returns:
        may be null if main netDb is not initialized

    - #### shutdown

          public void shutdown()

      Description copied from class: `SegmentedNetworkDatabaseFacade`
      Shut down the network databases
      Specified by:
        `shutdown` in class `SegmentedNetworkDatabaseFacade`

    - #### startup

          public void startup()

      Description copied from class: `SegmentedNetworkDatabaseFacade`
      Start up the network databases
      Specified by:
        `startup` in class `SegmentedNetworkDatabaseFacade`